#include "TestImplicitSphere.hpp"

double TestImplicitSphere::operator()(double x, double y, double z) const {
    auto sq = [](double x) { return x*x; };
    return - (sq(center.x - x)
            + sq(center.y - y)
            + sq(center.z - z))
        + sq(radius);
}
